# studio::Widget_Waypoint Class Reference

`#include <widget_waypoint.h>`

List of all members.

## Public Member Functions

| Widget_Waypoint (etl::handle< synfig::Canvas > canvas)
void | set_canvas (synfig::Canvas::Handle x)
void | set_waypoint (synfig::Waypoint &x)
const synfig::Waypoint & | get_waypoint () const

## Constructor & Destructor Documentation

Widget_Waypoint::Widget_Waypoint | ( | etl::handle< synfig::Canvas > | canvas | ) |

References _, set_canvas(), studio::Widget_ValueBase::set_canvas(), and studio::Widget_Time::set_fps().

## Member Function Documentation

void Widget_Waypoint::set_canvas | ( | synfig::Canvas::Handle | x | ) |

References studio::Widget_ValueBase::set_canvas(), and studio::Widget_Time::set_fps().

Referenced by studio::Dialog_Waypoint::set_value_desc(), and Widget_Waypoint().

void Widget_Waypoint::set_waypoint | ( | synfig::Waypoint & | x | ) |

Todo:
  This really needs to be fixed to support value node waypoints!

References studio::Widget_Time::set_fps(), studio::Widget_Time::set_value(), and studio::Widget_ValueBase::set_value().

Referenced by studio::Dialog_Waypoint::set_waypoint().

const synfig::Waypoint & Widget_Waypoint::get_waypoint | ( |  | ) | const

Todo:
  This too!

References studio::Widget_ValueBase::get_value(), and studio::Widget_Time::get_value().

Referenced by studio::Dialog_Waypoint::get_waypoint().

The documentation for this class was generated from the following files:

- widget_waypoint.h
- widget_waypoint.cpp